#
# spec file for package patterns-server
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-server-enterprise
Version:        20171206
Release:        150100.12.9.1
Summary:        Patterns for Installation (server patterns)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
Source1:        pattern-definition-32bit.txt
Source2:	create_32bit-patterns_file.pl
Source3:        pre_checkin.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains all the server related patterns for software
that is not shipped in openSUSE

################################################################################

%ifarch s390x
%package hwcrypto
%pattern_basetechnologies
Summary:        System z HW crypto support
Group:          Metapackages
Provides:       pattern() = hwcrypto
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1040
Provides:       pattern-visible()
Provides:       patterns-sles-hwcrypto = %{version}
Obsoletes:      patterns-sles-hwcrypto < %{version}
Requires:       pattern() = basesystem

Recommends:     libica-2_3_0
Recommends:     libica-2_3_0-32bit
Requires:       openCryptoki
Requires:       openCryptoki-64bit
Requires:       openssl-ibmca

%description hwcrypto
A selection of packages that installs the System z HW crypto stack on
System z.

%files hwcrypto
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/hwcrypto.txt
%endif

################################################################################

%package oracle_server
%pattern_primaryfunctions
Summary:        Oracle Server Base
Group:          Metapackages
Provides:       pattern() = oracle_server
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 3120
Provides:       pattern-visible()
Provides:       patterns-sles-oracle_server = %{version}
Obsoletes:      patterns-sles-oracle_server < %{version}
Requires:       pattern() = basesystem
Requires:       orarun

%description oracle_server
Set up the server for installing Oracle databases.

%files oracle_server
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/oracle_server.txt

################################################################################

%ifarch x86_64 ppc64le
%package sap_server
%pattern_primaryfunctions
Version:        20230902
Summary:        SAP Application Server Base
Group:          Metapackages
Provides:       pattern() = sap_server
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 3110
Provides:       pattern-visible()
Provides:       patterns-sles-sap_server = %{version}
Obsoletes:      patterns-sles-sap_server < %{version}
Requires:       pattern() = basesystem
Recommends:     pattern() = yast2_basis
Requires:       sapconf
# Fate#325727
Requires:       insserv-compat
Recommends:     sap-locale
Recommends:     uuidd
ExclusiveArch:  x86_64 ppc64le

%description sap_server
Set up the server for installing SAP systems.

%files sap_server
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/sap_server.txt
%endif

################################################################################

%prep

%build

%install
mkdir -p "%{buildroot}/usr/share/doc/packages/patterns"
echo "This file marks the pattern oracle_server to be installed." 
	>"%{buildroot}/usr/share/doc/packages/patterns/oracle_server.txt"
echo "This file marks the pattern oracle_server-32bit to be installed." \
        >"%{buildroot}/usr/share/doc/packages/patterns/oracle_server-32bit.txt"
%ifarch x86_64 ppc64le
echo "This file marks the pattern sap_server to be installed." 
	>"%{buildroot}/usr/share/doc/packages/patterns/sap_server.txt"
echo "This file marks the pattern sap_server-32bit to be installed." \
        >"%{buildroot}/usr/share/doc/packages/patterns/sap_server-32bit.txt"
%endif
%ifarch s390x
echo "This file marks the pattern hwcrypto to be installed." \
	>"%{buildroot}/usr/share/doc/packages/patterns/hwcrypto.txt"
%endif

#
# This file is created at check-in time. Sorry for the inconsistent workflow :(
#
%include %{SOURCE1}

%changelog
* Sat Sep  2 2023 varkoly@suse.com
- [aarch64] install system with all patterns, nothing provides 'sapconf' when installing pattern ‘sap_server’
  (bsc#1214811)
  The pattern sap_server is only available for x86_64 and ppc64le
* Tue Jun 22 2021 fvogt@suse.com
- Move the FIPS pattern to patterns-base-fips (bsc#1183154)
- Run pre_checkin.sh, was overdue
* Wed Apr 15 2020 meissner@suse.com
- added libgnutls30-hmac to the FIPS pattern. (bsc#1169042 bsc#1168416)
- remove strongswan-hmac-32bit (not in use)
* Thu May  9 2019 varkoly@suse.com
- bsc#1132121 Missing yast2-iscsi-client package in SLES 15 SP1 RC2
* Fri Jun  1 2018 dakechi@suse.com
- Fate#325727: insserv-compat requiered by all SAP products
  sapinit is a SysV init script and is used by all SAP applications.
  The insserv-compat package is needed until the SAP fully adoption of
  Systemd.
* Mon Mar 12 2018 coolo@suse.com
- rename openssl1_1_0 to openssl1_1
- fix pattern() provides to use %%2d instead of dash to avoid rpm
  parsing the string as name-version (bsc#1079353)
* Mon Feb 26 2018 astieger@suse.com
- bsc#1082798: adjust package name of cryptsetup
- include strongswan-hmac in pattern
* Wed Feb  7 2018 sflees@suse.de
- bsc#1078615 hwcrypto should only be avaliable on s390
* Mon Dec 11 2017 sflees@suse.de
- fix the order of sourced files to match other patterns saving copy paste errors
* Mon Dec 11 2017 sflees@suse.de
- correctly source the files for 32bit patterns
* Fri Dec  8 2017 sflees@suse.de
- Version: 20171206
- Add obsoletes across all patterns (bsc#1071761)
* Wed Dec  6 2017 behlert@suse.de
- added missing files as source:
  create_32bit-patterns_file.pl, pre_checkin.sh,
  pattern-definition-32bit.txt
- switch to libopenssl-1_1_0 [bsc#1071628]
* Thu Sep 21 2017 sflees@suse.de
- Create enterprise pattern for patterns not in openSUSE
